# Uses of Class
org.eclipse.swt.widgets.TableItem

Packages that use TableItem
Package
Description
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.e4.ui.css.swt.dom
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of TableItem in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory with parameters of type TableItem
Modifier and Type
Method
Description
`protected void`
AbstractTableRendering.`toolTipAboutToShow(Control toolTipControl, TableItem item, int col)`
Called when the tool tip is about to show in this rendering.

## Uses of TableItem in org.eclipse.e4.ui.css.swt.dom

Methods in org.eclipse.e4.ui.css.swt.dom that return TableItem
Modifier and Type
Method
Description
`protected TableItem`
TableItemElement.`getTableItem()`
Constructors in org.eclipse.e4.ui.css.swt.dom with parameters of type TableItem
Modifier
Constructor
Description
``
`TableItemElement(TableItem tableItem, CSSEngine engine)`

## Uses of TableItem in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type TableItem
Modifier and Type
Method
Description
`void`
StructuredViewer.ColorAndFontCollector.`applyFontsAndColors(TableItem control)`
Apply the fonts and colors to the control if required.
`void`
StructuredViewer.ColorAndFontCollectorWithProviders.`applyFontsAndColors(TableItem control)`

## Uses of TableItem in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return TableItem
Modifier and Type
Method
Description
`TableItem`
TableEditor.`getItem()`
Returns the TableItem for the row of the cell being tracked by this editor.
`TableItem`
TableCursor.`getRow()`
Returns the row over which the TableCursor is positioned.
Methods in org.eclipse.swt.custom with parameters of type TableItem
Modifier and Type
Method
Description
`void`
TableEditor.`setEditor(Control editor, TableItem item, int column)`
Specify the Control that is to be displayed and the cell in the table that it is to be positioned above.
`void`
TableEditor.`setItem(TableItem item)`
Specifies the `TableItem` that is to be edited.
`void`
TableCursor.`setSelection(TableItem row, int column)`
Positions the TableCursor over the cell at the given row and column in the parent table.

## Uses of TableItem in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return TableItem
Modifier and Type
Method
Description
`TableItem`
Table.`getItem(int index)`
Returns the item at the given, zero-relative index in the receiver.
`TableItem`
Table.`getItem(Point point)`
Returns the item at the given point in the receiver or null if no such item exists.
`TableItem[]`
Table.`getItems()`
Returns a (possibly empty) array of `TableItem`s which are the items in the receiver.
`TableItem[]`
Table.`getSelection()`
Returns an array of `TableItem`s that are currently selected in the receiver.
Methods in org.eclipse.swt.widgets with parameters of type TableItem
Modifier and Type
Method
Description
`int`
Table.`indexOf(TableItem item)`
Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item.
`void`
Table.`setSelection(TableItem item)`
Sets the receiver's selection to the given item.
`void`
Table.`setSelection(TableItem[] items)`
Sets the receiver's selection to be the given array of items.
`void`
Table.`showItem(TableItem item)`
Shows the item.